Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.base
Interface IEssProperties

All Superinterfaces:
  IEssBaseObject

All Known Subinterfaces:
  IEssCluster, IEssConnectionPool, IEssCube, IEssCubeOutline, IEssCubeView, IEssDimension, IEssDomain, IEssEnterpriseServer, IEssGroup, IEssMdMember, IEssMember, IEssMemberSelection, IEssOlapApplication, IEssOlapServer, IEssUser

public interface IEssProperties
extends IEssBaseObject

The IEssProperties interface.

Nested Class Summary
`static class` | `IEssProperties.EEssPropertyMode` The EEssPropertyMode is an enumeration of property modes.

Method Summary
`int` | `getCountProperties()` Gets the count of properties.
`IEssValueAny.EEssDataType` | `getPropertyDataType(int propId)` Gets the property datatype for the specified id.
`IEssValueAny.EEssDataType` | `getPropertyDataType(java.lang.String propName)` Gets the property datatype for the specified name.
`IEssValueAny.EEssDataType[]` | `getPropertyDataTypes()` Gets the list of property data types.
`int` | `getPropertyId(java.lang.String propName)` Gets the property id for the specified name.
`IEssProperties.EEssPropertyMode` | `getPropertyMode(int propId)` Gets the property mode for the specified id.
`IEssProperties.EEssPropertyMode` | `getPropertyMode(java.lang.String propName)` Gets the property mode for the specified name.
`IEssProperties.EEssPropertyMode[]` | `getPropertyModes()` Gets the list of property modes.
`java.lang.String` | `getPropertyName(int propId)` Gets the property name for the specified id.
`java.lang.String[]` | `getPropertyNames()` Gets the list of property names.
`IEssValueAny` | `getPropertyValueAny(int propId)` Gets the property value for the specified id.
`IEssValueAny` | `getPropertyValueAny(java.lang.String propName)` Gets the property value for the specified name.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setPropertyValueAny(int propId, IEssValueAny value)` Sets the property value for the specified id.
`void` | `setPropertyValueAny(java.lang.String propName, IEssValueAny value)` Sets the property value for the specified name.
`void` | `updatePropertyValues()` Updates the property values.

Method Detail

### getCountProperties

    public int getCountProperties()
                           throws EssException

  Gets the count of properties.

  Returns:
    The count of properties.
  Throws:
    `EssException` - if an error occurs.

### getPropertyNames

    public java.lang.String[] getPropertyNames()
                                        throws EssException

  Gets the list of property names.

  Returns:
    The list of property names.
  Throws:
    `EssException` - if an error occurs.

### getPropertyDataTypes

    public IEssValueAny.EEssDataType[] getPropertyDataTypes()
                                                     throws EssException

  Gets the list of property data types.

  Returns:
    The list of property data types.
  Throws:
    `EssException` - if an error occurs.

### getPropertyModes

    public IEssProperties.EEssPropertyMode[] getPropertyModes()
                                                       throws EssException

  Gets the list of property modes.

  Returns:
    The list of property modes.
  Throws:
    `EssException` - if an error occurs.

### getPropertyId

    public int getPropertyId(java.lang.String propName)
                      throws EssException

  Gets the property id for the specified name.

  Parameters:
    `propName` - The property name.
  Returns:
    The property id.
  Throws:
    `EssException` - if an error occurs.

### getPropertyName

    public java.lang.String getPropertyName(int propId)
                                     throws EssException

  Gets the property name for the specified id.

  Parameters:
    `propId` - The property id.
  Returns:
    The property name.
  Throws:
    `EssException` - if an error occurs.

### getPropertyMode

    public IEssProperties.EEssPropertyMode getPropertyMode(int propId)
                                                    throws EssException

  Gets the property mode for the specified id.

  Parameters:
    `propId` - The property id.
  Returns:
    The property mode.
  Throws:
    `EssException` - if an error occurs.

### getPropertyMode

    public IEssProperties.EEssPropertyMode getPropertyMode(java.lang.String propName)
                                                    throws EssException

  Gets the property mode for the specified name.

  Parameters:
    `propName` - The property name.
  Returns:
    The property mode.
  Throws:
    `EssException` - if an error occurs.

### getPropertyDataType

    public IEssValueAny.EEssDataType getPropertyDataType(int propId)
                                                  throws EssException

  Gets the property datatype for the specified id.

  Parameters:
    `propId` - The property id.
  Returns:
    The property data type.
  Throws:
    `EssException` - if an error occurs.

### getPropertyDataType

    public IEssValueAny.EEssDataType getPropertyDataType(java.lang.String propName)
                                                  throws EssException

  Gets the property datatype for the specified name.

  Parameters:
    `propName` - The property name.
  Returns:
    The property data type.
  Throws:
    `EssException` - if an error occurs.

### setPropertyValueAny

    public void setPropertyValueAny(java.lang.String propName,
                                    IEssValueAny value)
                             throws EssException

  Sets the property value for the specified name.

  Parameters:
    `propName` - The property name.
    `value` - The property value.
  Throws:
    `EssException` - if an error occurs.

### setPropertyValueAny

    public void setPropertyValueAny(int propId,
                                    IEssValueAny value)
                             throws EssException

  Sets the property value for the specified id.

  Parameters:
    `propId` - The property id.
    `value` - The property value.
  Throws:
    `EssException` - if an error occurs.

### getPropertyValueAny

    public IEssValueAny getPropertyValueAny(java.lang.String propName)
                                     throws EssException

  Gets the property value for the specified name.

  Parameters:
    `propName` - The property name.
  Returns:
    The property value.
  Throws:
    `EssException` - if an error occurs.

### getPropertyValueAny

    public IEssValueAny getPropertyValueAny(int propId)
                                     throws EssException

  Gets the property value for the specified id.

  Parameters:
    `propId` - The property id.
  Returns:
    The property value.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD